Package org.lwjgl.opengles

# Class EXTColorBufferHalfFloat

java.lang.Object
org.lwjgl.opengles.EXTColorBufferHalfFloat

public final class EXTColorBufferHalfFloat extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_R16F_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static final int`
`GL_RG16F_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static final int`
`GL_RGB16F_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static final int`
`GL_RGBA16F_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static final int`
`GL_UNSIGNED_NORMALIZED_EXT`
Returned in <params> by GetFramebufferAttachmentParameteriv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RGBA16F_EXT

public static final int GL_RGBA16F_EXT
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

See Also:
  - Constant Field Values

### GL_RGB16F_EXT

public static final int GL_RGB16F_EXT
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

See Also:
  - Constant Field Values

### GL_RG16F_EXT

public static final int GL_RG16F_EXT
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

See Also:
  - Constant Field Values

### GL_R16F_EXT

public static final int GL_R16F_EXT
Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_UNSIGNED_NORMALIZED_EXT

public static final int GL_UNSIGNED_NORMALIZED_EXT
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values